<!DOCTYPE html>
<html lang="en">

<head>
    <title></title>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link href="css/style.css" rel="stylesheet">
    <link href="bower_components/mdi/css/materialdesignicons.css" rel="stylesheet">
</head>

<body>
    <div class="navbar">
        <a class="nav-btn" href="#" id="btnToggleMenu">
            <div class="bar-line-container">
                <div class="bar-line-1"></div>
                <div class="bar-line-2"></div>
                <div class="bar-line-3"></div>
            </div>
        </a>
        <a class="nav-btn pull-right" href="#"><i class="mdi mdi-account"></i></a>
        <a class="nav-btn pull-right" href="#" id="btnSearch"><i class="mdi mdi-magnify"></i></a>
        <input type="text" id="txtSearch" placeholder="What are you looking for?" class="nav-input pull-right hide">
    </div>
    <div class="sidebar sidebar-mini" id="sidebar">
        <a class="side-btn" href="#">
            <i class="mdi mdi-view-dashboard"></i>
            <span>Dashboard</span>
        </a>
        <a class="side-btn" href="#">
            <i class="mdi mdi-bank"></i>
            <span>Bank Account</span>            
        </a>
        <a class="side-btn" href="#">
            <i class="mdi mdi-email-outline"></i>
            <span>Email</span>
        </a>
        <a class="side-btn" href="#">
            <i class="mdi mdi-account-multiple"></i>
            <span>Users</span>
        </a>
        <div class="pull-bottom">
            <a class="side-btn pull-bottom" href="#"><i class="mdi mdi-settings"></i></a>
        </div>
    </div>
    <div class="main">
    </div>
    <script>
        var btnSearch = document.getElementById('btnSearch');
        btnSearch.addEventListener('click', function(){
            var input = document.getElementById('txtSearch');
            input.classList.toggle('hide');
        });

        var btnToggleMenu = document.getElementById('btnToggleMenu');
        var sidebar       = document.getElementById('sidebar');
        btnToggleMenu.addEventListener('click', function(event){
            btnToggleMenu.getElementsByClassName('bar-line-container')[0].classList.toggle('active');
            sidebar.classList.toggle('sidebar-mini');
        })
        
    </script>
</body>

</html>